#!/usr/bin/python2
# -*- coding: utf-8 -*-

import unittest
from generator.convert_to_graphml import *


class checkSplitLine(unittest.TestCase):
    def testSplitLine(self):
        self.assertEqual(splitLine('5a\n \n'), ['5a'])
        with self.assertRaises(ValueError):
            splitLine('5\n8\n')
        self.assertEqual(splitLine('1e002 6', 2), ['1e002', '6'])

if __name__ == '__main__':
    unittest.main()
